XnQueries.h File Reference
`#include "XnTypes.h"`

Go to the source code of this file.

## Functions

XN_C_API XnStatus XN_C_DECL | xnNodeQueryAllocate (XnNodeQuery **ppQuery)
XN_C_API void XN_C_DECL | xnNodeQueryFree (XnNodeQuery *pQuery)
XN_C_API XnStatus XN_C_DECL | xnNodeQuerySetVendor (XnNodeQuery *pQuery, const XnChar *strVendor)
XN_C_API XnStatus XN_C_DECL | xnNodeQuerySetName (XnNodeQuery *pQuery, const XnChar *strName)
XN_C_API XnStatus XN_C_DECL | xnNodeQuerySetMinVersion (XnNodeQuery *pQuery, const XnVersion *pMinVersion)
XN_C_API XnStatus XN_C_DECL | xnNodeQuerySetMaxVersion (XnNodeQuery *pQuery, const XnVersion *pMaxVersion)
XN_C_API XnStatus XN_C_DECL | xnNodeQueryAddSupportedCapability (XnNodeQuery *pQuery, const XnChar *strNeededCapability)
XN_C_API XnStatus XN_C_DECL | xnNodeQueryAddSupportedMapOutputMode (XnNodeQuery *pQuery, const XnMapOutputMode *pMapOutputMode)
XN_C_API XnStatus XN_C_DECL | xnNodeQuerySetSupportedMinUserPositions (XnNodeQuery *pQuery, const XnUInt32 nCount)
XN_C_API XnStatus XN_C_DECL | xnNodeQuerySetExistingNodeOnly (XnNodeQuery *pQuery, XnBool bExistingNode)
XN_C_API XnStatus XN_C_DECL | xnNodeQuerySetNonExistingNodeOnly (XnNodeQuery *pQuery, XnBool bNonExistingNode)
XN_C_API XnStatus XN_C_DECL | xnNodeQueryAddNeededNode (XnNodeQuery *pQuery, const XnChar *strInstanceName)
XN_C_API XnStatus XN_C_DECL | xnNodeQuerySetCreationInfo (XnNodeQuery *pQuery, const XnChar *strCreationInfo)
XN_C_API XnStatus XN_C_DECL | xnNodeQueryFilterList (XnContext *pContext, const XnNodeQuery *pQuery, XnNodeInfoList *pList)